package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TBAttachment;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @Description: 附件 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020-04-17
 */
public interface TBAttachmentService extends IService<TBAttachment> {

    /**
     * 保存附件
     *
     * @param file
     * @param md5
     * @param path
     * @return
     * @throws IOException
     */
    TBAttachment saveAttachment(MultipartFile file, String md5, String path) throws IOException;

    /**
     * 删除附件
     *
     * @param tbAttachment
     */
    void deleteAttachment(TBAttachment tbAttachment);

    /**
     * 批量删除附件
     *
     * @param map
     */
    void batchDeleteAttachment(List<Map> map);
}